import { Document, Text, Block, Inline } from '@contentful/rich-text-types';
export declare type CommonNode = Text | Block | Inline;
export interface Next {
    (nodes: CommonNode[]): Object;
}
export interface NodeRenderer {
    (node: Block | Inline, next: Next): JSX.Element;
}
export interface RenderNode {
    [k: string]: NodeRenderer;
}
export interface RenderMark {
    [k: string]: (text: string) => JSX.Element;
}
export interface Options {
    /**
     * Node renderers
     */
    renderNode?: RenderNode;
    /**
     * Mark renderers
     */
    renderMark?: RenderMark;
}
/**
 * Contentful Rich Text `document` to a react component.
 */
export declare function documentToReactComponent(richTextDocument: Document, options?: Partial<Options>): Object;
